Skip to main content

Update user's login information

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/login-info

Since: 2.88.0

Required permission(s): AccessControl.CredentialModify, AccessControl.UserModify, AccessControl.UserView, AccessControl.CredentialView

Update user's login information and if credential is present, then the credential's login information as well.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    success booleanrequired

    Indicates whether the login sent in should be counted as successful

    credentialExtId string

    External ID of credential which was used for the login. Credential must exist, must belong to the user, and must be active

Responses

Login information updated successfully

Schema
    statusCode int32

    Indicates login status after processing update login information.

    description string

    Human readable login status information.

    userExtId string

    External ID of the user.

    clientExtId string

    External ID of the client.

    credentialExtId string

    External ID of the credential, if credential is defined in the request.

    credentialType string

    Type of the credential, if credential is defined in the request.

    userLastLogin date-time

    Time of the user's last successful login, only displayed if the success field in request was true.

    userLastLoginFailure date-time

    Time of the user's last failed login, only displayed if the success field in request was false.

    credentialLastLogin date-time

    Time of the credential's last successful login, only displayed if the success field in request was true and credential is defined in the request.

    credentialLastLoginFailure date-time

    Time of the credential's last failed login, only displayed if the success field in request was false and credential is defined in the request.

    credentialSuccessCounter int32

    Current value of the credential's success counter, only displayed if the success field in request was true and credential is defined in the request.

    credentialFailureCounter int32

    Current value of the credential's failure counter, only displayed if the success field in request was false and credential is defined in the request.

Loading...